---
language:
- ja
tags:
- audio
- audio-to-audio
- speech
- text-to-speech
license: other
---

# Rinne ボイスセット

Please translate this page in your web browser.

とても簡単に Rinne の声で歌わせたり、しゃべらせたり、ボイスチェンジしたりできます。

## **[「歌わせたい」で YOASOBI の『アイドル』を歌わせてみました。](https://www.youtube.com/shorts/Z9FFOyOX5vs)**

![README](./README.png)

<audio controls src="https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/README.mp3"></audio>

## Rinne [MYCOEIROINK](https://coeiroink.com/mycoeiroink) サンプル

<audio controls src="https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/RinneMycoeiroink_0.mp3"></audio>
<audio controls src="https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/RinneMycoeiroink_1.mp3"></audio>
<audio controls src="https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/RinneMycoeiroink_2.mp3"></audio>

# つかいかた

1. [`RinneVoiceSet.zip`](https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/RinneVoiceSet.zip) をダウンロードして、`C:\RinneVoiceSet` などの英数字のみの浅いパスに展開します。
2. `Setup.bat` をダブルクリックして実行します。
	- 「WindowsによってPCが保護されました」と表示されたら、「詳細表示」から「実行」します。
3. やりたいことにあわせて、手順を進めます。
	- [Rinne を歌わせたい](./Sing.md)
	- [Rinne をしゃべらせたい](./Speech.md)（日本語のみ）
	- [Rinne にボイスチェンジしたい](./VoiceChange.md)

最近の NVIDIA のビデオカードを搭載した Windows10 以降で動作します。
歌う・しゃべる・ボイスチェンジのそれぞれが、10GB程度のディスク容量を消費します。

# 利用規約・免責事項

Rinne ボイスセットでは以下を利用しています。それぞれの利用規約や免責事項をご確認ください。

- 歌う: [Retrieval-based-Voice-Conversion-WebUI](https://github.com/liujing04/Retrieval-based-Voice-Conversion-WebUI)
- しゃべる: [COEIROINK](https://coeiroink.com/)
- ボイスチェンジ: [VC Client](https://github.com/w-okada/voice-changer)
- [7-Zip](https://sevenzip.osdn.jp/)

## Rinne の音声モデル

**成果物に「Rinne」の権利表記が必要になります。**

可能であれば[RinneのTwitterへのリンク](https://twitter.com/llrinnell)もお願いいたします。

### できること

- 成果物の加工
- 成果物の商用利用
- 成果物の学習素材としての利用
	- RVC の歌うとボイスチェンジのみ、COEIROINK のしゃべるは不可
- 音声モデルのマージ
	- マージ元の記載は必須でない
- R-18、R-18G表現（ただしゾーニング必須）

### できないこと

- 音声モデルの二次配布
- クレジット表記なしでの利用
- 人を批判・攻撃すること
- 特定の政治的立場・宗教・思想への賛同または反対を呼びかけること
- 刺激の強い表現をゾーニングなしで公開すること
- Rinne へのなりすましなど、提供者に不利益をもたらすこと
- クレジット表記なしでの利用

## Rinne の MYCOEIROINK（しゃべる）

上記の Rinne の音声モデルの条件に加え、[COEIROINKの利用規約](https://coeiroink.com/terms) もご確認ください。

**成果物に「COEIROINK:Rinne」の権利表記が必要になります。**

# ボイスモデルの単体ダウンロード

ボイスモデルだけを入手したい方向けです。

- [Retrieval-based-Voice-Conversion-WebUI](https://github.com/liujing04/Retrieval-based-Voice-Conversion-WebUI) による RVC ボイスモデル
	- ITAコーパス & MANAコーパス
		- [2023/04/16 版で 200 Epoch](https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/RinneRVC-20230416.zip)
		- [2023/04/10 版で 100 Epoch](https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/RinneRVC-20230410.zip)
- [MYCOEIROINK](https://coeiroink.com/mycoeiroink) ボイスモデル
	- ITAコーパス & MANAコーパス、100 Epoch
		- [2023/01/24 版](https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/RinneMycoeiroink-20230124.zip)

----
COEIROINK:Rinne
