@echo off

pushd %~dp0

set COEIROINK_DIR=COEIROINK-CPU-v.1.7.2
set COEIROINK_ZIP=%COEIROINK_DIR%.zip
if not exist %COEIROINK_ZIP% (
	curl -Lo %COEIROINK_ZIP% https://www.dropbox.com/s/ofopoyvvao3agyf/%COEIROINK_ZIP%?dl=1
)

if not exist %COEIROINK_DIR%\ (
	PowerShell -Version 5.1 -ExecutionPolicy Bypass Expand-Archive -Path %COEIROINK_ZIP% -DestinationPath .
)

set MYCOE=64274982-857a-11ed-a560-0242ac1c000c
set MYCOE_ZIP=RinneMycoeiroink-20230124.zip
if not exist %MYCOE%\ (
	if not exist .\%MYCOE_ZIP% (
		curl -LO https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/%MYCOE_ZIP%
	)
	PowerShell -Version 5.1 -ExecutionPolicy Bypass Expand-Archive -Path %MYCOE_ZIP% -DestinationPath .
)

if not exist %COEIROINK_DIR%\speaker_info\%MYCOE% (
	xcopy /SQ %MYCOE%\ %COEIROINK_DIR%\speaker_info\%MYCOE%\
)

call %COEIROINK_DIR%\COEIROINK.exe

popd
