@echo off

pushd %~dp0
set ZIP_FILE=MMVCServerSIO_win_onnxgpu-cuda_v.1.5.2.7.zip
if not exist %ZIP_FILE% (
	curl -LO  https://huggingface.co/wok000/vcclient000/resolve/main/%ZIP_FILE%
)

set MMVC_DIR=MMVCServerSIO
if not exist %MMVC_DIR% (
	PowerShell -Version 5.1 -ExecutionPolicy Bypass Expand-Archive -Path %ZIP_FILE% -DestinationPath .
)

set HUBERT_BASE=hubert_base.pt
if not exist %MMVC_DIR%\%HUBERT_BASE% (
	curl -Lo %MMVC_DIR%\%HUBERT_BASE% https://huggingface.co/lj1995/VoiceConversionWebUI/resolve/main/hubert_base.pt
)

set RINNE_RVC=RinneRVC-20230410
if not exist .\Rinne.pth (
	if not exist .\%RINNE_RVC%.zip (
		curl -LO https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/%RINNE_RVC%.zip
	)
	PowerShell -Version 5.1 -ExecutionPolicy Bypass Expand-Archive -Path %RINNE_RVC%.zip -DestinationPath .
	move %RINNE_RVC%\* .
	rd %RINNE_RVC%\
)

popd

cd %~dp0MMVCServerSIO
start http://localhost:18888/
start start_http.bat
