@echo off

pushd %~dp0

set SEVEN_ZIP=7zr.exe

if not exist %SEVEN_ZIP% (
	curl -LO  https://www.7-zip.org/a/7zr.exe
)

set RVC_ZIP=RVC-beta.7z
if not exist %RVC_ZIP% (
	curl -LO https://huggingface.co/lj1995/VoiceConversionWebUI/resolve/main/%RVC_ZIP%
)

set RVC_DIR=RVC-beta
if not exist %RVC_DIR%\ (
	%SEVEN_ZIP% x %RVC_ZIP%
)

set RINNE_RVC=RinneRVC-20230410
if not exist .\Rinne.pth (
	if not exist .\%RINNE_RVC%.zip (
		curl -LO https://huggingface.co/RinneAi/RinneVoiceSet/resolve/main/%RINNE_RVC%.zip
	)
	PowerShell -Version 5.1 -ExecutionPolicy Bypass Expand-Archive -Path %RINNE_RVC%.zip -DestinationPath .
	move %RINNE_RVC%\* .
	rd %RINNE_RVC%\
)

if not exist %RVC_DIR%\weights\Rinne.pth (
	copy .\Rinne.pth %RVC_DIR%\weights\
)

popd

cd %~dp0%RVC_DIR%
start go-web.bat
